"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.debug = void 0;
let log;
try {
    // eslint-disable-next-line @typescript-eslint/no-var-requires
    const Logger = require("tslog");
    log = new Logger.Logger();
}
catch (error) {
    log = {
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        debug: (..._) => null,
    };
}
/**
 * Prints data in `console.log` if env is `CORDE_DEBUG_MODE`
 * @param data data to be printed
 */
function debug(...infos) {
    if (process.env.CORDE_DEBUG_MODE) {
        log.debug(...infos);
    }
}
exports.debug = debug;
