"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printHookErrors = void 0;
/* eslint-disable no-console */
const utils_1 = require("../utils");
/**
 * @internal
 */
function printHookErrors(errors, log) {
    for (let i = 0; i < errors.length; i++) {
        // Errors thrown by hooks are always of type Error.
        if (errors[i].message) {
            print((0, utils_1.buildReportMessage)(errors[i].message), log);
            print((0, utils_1.buildReportMessage)(errors[i].stack), log);
        }
        else {
            const _formatedObject = (0, utils_1.formatObject)(errors[i]);
            print((0, utils_1.buildReportMessage)(_formatedObject));
        }
    }
}
exports.printHookErrors = printHookErrors;
function print(message, log) {
    if (log) {
        log.append(message);
        return;
    }
    console.log(message);
}
