"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CordeClientError = void 0;
const defaults_1 = require("./defaults");
/**
 * Related to a Corde client error.
 * @see Discord.Client https://discord.js.org/#/docs/main/stable/class/Client
 */
class CordeClientError extends Error {
    /**
     * Throws when the management of some kind of data related to the Discord.Client
     * is found.
     * @param message Custom message to this error.
     */
    constructor(message = defaults_1.Errors.CORDE_CLIENT_ERROR_MESSAGE) {
        super(message);
        this.name = defaults_1.Errors.CORDE_CLIENT_ERROR;
    }
}
exports.CordeClientError = CordeClientError;
