"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiscordJSError = void 0;
const defaults_1 = require("./defaults");
/**
 * Related to a [Discord.js](https://discord.js.org/#/docs/main/stable/general/welcome) error.
 */
class DiscordJSError extends Error {
    /**
     * Throws when any type of operation executed by discord.js fails.
     * @param message Custom message for this error.
     */
    constructor(message = defaults_1.Errors.DISCORD_ERROR_MESSAGE) {
        super(message);
        this.name = defaults_1.Errors.DISCORD_ERROR;
    }
}
exports.DiscordJSError = DiscordJSError;
