"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeoutError = void 0;
const defaults_1 = require("./defaults");
/**
 * Related timeout error.
 */
class TimeoutError extends Error {
    /**
     * Throws when a connection or test do not executed in the specified time.
     * @param message Custom message to this error
     */
    constructor(message = defaults_1.Errors.TIMEOUT_ERROR_MESSAGE, data) {
        super(message);
        this.name = defaults_1.Errors.TIMEOUT_ERROR;
        this.data = data;
    }
}
exports.TimeoutError = TimeoutError;
