"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diff = void 0;
const jest_diff_1 = require("jest-diff");
/**
 * Binder of `jest-diff`.
 *
 * @param obj1 First object to check.
 * @param obj2 Second object to check with `obj1`.
 * @see https://github.com/facebook/jest/tree/master/packages/jest-diff
 *
 * @example
 *
 * const a = ['delete', 'common', 'changed from'];
 * const b = ['common', 'changed to', 'insert'];
 *
 * const result = diff(a, b);
 *
 * // result outputs:
 *
 * - expected
 * + received
 *
 *   Array [
 * -   "delete",
 *     "common",
 * -   "changed from",
 * +   "changed to",
 * +   "insert",
 * ]
 *
 * @internal
 */
function diff(obj1, obj2) {
    return (0, jest_diff_1.diff)(obj1, obj2, {
        includeChangeCounts: true,
    });
}
exports.diff = diff;
