"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.keysOf = void 0;
const isPrimitiveValue_1 = require("./isPrimitiveValue");
/**
 * Get all keys in the first level of an object.
 * @param obj Object to get it's keys
 * @returns Array containing all keys of the object
 */
function keysOf(obj) {
    if (!obj || (0, isPrimitiveValue_1.isPrimitiveValue)(obj)) {
        return [];
    }
    const keys = Object.getOwnPropertyNames(obj);
    return keys;
}
exports.keysOf = keysOf;
