"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pick = void 0;
/**
 * Pick some properties of a object
 *
 * @see https://www.typescriptlang.org/docs/handbook/utility-types.html#picktk
 * @param obj Object to get its properties
 * @param keys Properties that must be got
 * @internal
 */
function pick(obj, ...keys) {
    const copy = {};
    keys.forEach((key) => (copy[key] = obj[key]));
    return copy;
}
exports.pick = pick;
