"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeOf = void 0;
/**
 * Like `typeof` but returns **null** if the value is **null**.
 * And **array** if the object is an array.
 *
 * @example
 *
 * typeof null // "object"
 * typeOf(null) // "null"
 * typeOf(undefined) // "undefined"
 * typeOf([]) // "array"
 *
 * @param value Object to get it's type
 * @returns the type in string.
 * @internal
 */
function typeOf(value) {
    if (value === null) {
        return "null";
    }
    if (Array.isArray(value)) {
        return "array";
    }
    return typeof value;
}
exports.typeOf = typeOf;
