"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Validator = void 0;
/**
 * @internal
 */
class Validator {
    constructor() {
        this._validators = [];
    }
    add(fn) {
        this._validators.push(fn);
    }
    /**
     * Check if some properties are valid givin some validations.
     * @param params Parameters of the function
     * @returns If the parameters are valid.
     */
    isValid(...params) {
        for (let i = 0; i < this._validators.length; i++) {
            if (!this._validators[i](...params)) {
                return false;
            }
        }
        return true;
    }
}
exports.Validator = Validator;
